Draft Ellipse

From FreeCAD Documentation
Revision as of 15:50, 4 November 2021 by Roy 043 (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Circle.svg Circle
Next: Rectangle Draft Rectangle.svg Arrow-right.svg

Draft Ellipse.svg Draft Ellipse

Системное название
Draft Ellipse
Расположение в меню
Черчение -> Эллипс
Верстаки
Draft, Arch
Быстрые клавиши
E L
Представлено в версии
-
См. также
Окружность

Описание

Инструмент Ellipse создает эллипс в текущей work plane, введя две точки, определяя угол прямоугольного прямоугольника, в котором будет располагаться эллипс. Он берет linewidth and color, предварительно установленный на вкладке «Задачи».

A Draft Ellipse can be turned into an elliptical arc by setting its ДанныеFirst Angle and ДанныеLast Angle properties to different values.

Draft ellipse example.jpg

Draft ellipse example.jpg

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

Использование

  1. Нажмите кнопку Draft Ellipse.png Draft Ellipse или нажмите клавиши C, затем I
  2. Щелкните первую точку на трехмерном изображении или введите coordinate
  3. Нажмите вторую точку на трехмерном представлении или введите coordinate.

Опции

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the Draft AddPoint.svg Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first point, else they are relative to the coordinate system origin.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press L or click the Filled checkbox to toggle filled mode. If filled mode is on, the created ellipse will have ДанныеMake Face set to true and will have a filled face.
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating ellipses.
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Ellipse can be edited with the Draft Edit command.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Ellipse instead of a Draft Ellipse.

Свойства

See also: Property editor.

A Draft Ellipse object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • ДанныеArea (Area): (read-only) specifies the area of the face of the ellipse. The value will be 0.0 if ДанныеMake Face if false or the face cannot be created.
  • ДанныеFirst Angle (Angle): specifies the angle of the first point of the ellipse, normally .
  • ДанныеLast Angle (Angle): specifies the angle of the last point of the ellipse, normally .
  • ДанныеMajor Radius (Length): specifies the major radius of the ellipse.
  • ДанныеMake Face (Bool): specifies if the ellipse makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object. This property only works if the shape is a full ellipse.
  • ДанныеMinor Radius (Length): specifies the minor radius of the ellipse.

View

Draft

  • ВидPattern (Enumeration): specifies the Draft Pattern with which to fill the face of the ellipse. This property only works if ДанныеMake Face is true and if ВидDisplay Mode is Flat Lines.
  • ВидPattern Size (Float): specifies the size of the Draft Pattern.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Ellipse use the make_ellipse method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeEllipse method.

ellipse = make_ellipse(majradius, minradius, placement=None, face=True, support=None)
  • Creates an ellipse object with given major (majradius) and minor (minradius) radius in millimeters.
    • The bigger value will be used for the major radius (X axis) if no other placement is given.
  • If placement is None the ellipse is created at the origin.
  • If face is True, the ellipse will make a face, that is, it will appear filled.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

ellipse1 = Draft.make_ellipse(3000, 200)
ellipse2 = Draft.make_ellipse(700, 1000)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 90))

ellipse3 = Draft.make_ellipse(700, 1000, placement=place3)

doc.recompute()


Arrow-left.svg Previous: Draft Circle.svg Circle
Next: Rectangle Draft Rectangle.svg Arrow-right.svg